GRPCK(8)

NOM
grpck - Vérifier l'intégrité des fichiers d'administration des groupes

SYNOPSIS

grpck [-r] [groupe [ shadow ]]

grpck [-s] [groupe [ shadow ]]

DESCRIPTION

The grpck command verifies the integrity of the groups information. It checks that all entries in /etc/group and /etc/gshadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Voici les vérifications effectuées :

    • nombre correct de champs

    • a unique and valid group name

    • a valid group identifier (/etc/group only)

    • a valid list of members and administrators

    • a corresponding entry in the /etc/gshadow file (respectively /etc/group for the gshadow checks)

The checks for correct number of fields and unique group name are fatal. If an entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated group name is prompted for deletion, but the remaining checks will still be made. All other errors are warnings and the user is encouraged to run the groupmod command to correct the error.

The commands which operate on the /etc/group and /etc/gshadow files are not able to alter corrupted or duplicated entries. grpck should be used in those circumstances to remove the offending entries.

OPTIONS

Les options disponibles pour la commande grpck sont :

-r
    Execute the grpck command in read-only mode. This causes all questions regarding changes to be answered no without user intervention.

-s
    Trie les entrées de /etc/groupet /etc/gshadow par GID.

By default, grpck operates on /etc/groupand /etc/gshadow. The user may select alternate files with the group and shadow parameters.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

MAX_MEMBERS_PER_GROUP (nombre)
    Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

    La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

    Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

    Si vous avez besoin de fixer cette limite, vous pouvez utiliser 25.

    Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

VALEURS DE RETOUR

La commande grpck retourne les valeurs suivantes en quittant :

0
    succès

1
    erreur de syntaxe

2
    une entrée de groupe ou plus est incorrecte

3
    impossible d'ouvrir les fichiers group

4
    impossible de verrouiller les fichiers group

5
    impossible de mettre à jour les fichiers group

VOIR AUSSI

group(5), groupmod(8), gshadow(5), passwd(5), pwck(8), shadow(5).